Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025075
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2013-11-04 18:462013-11-19 19:07
ReporterioritzCiaView Statuspublic 
Assigned Toeduardo_Argal 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revisione884b5f2318b
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version1.6
OS VersionUbuntu 12.04Database version9.1Ant version1.7.1
Product VersionpiSCM revision 
Review Assigned ToioritzCia
Web browserGoogle Chrome
ModulesAdvanced Payables and Receivables Mngmt
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025075: FIN_Utility.getDocumentNo method can return the same documentno to same document and organization.

DescriptionFIN_Utility.getDocumentNo makes a call to a query that returns the nextAssignedNumber of a sequence. This can be called concurrently and can return the same number twice.

Note that to avoid this wad calls Utility.getDocumentNo method that makes a call to DocumentNoData.nextDocType method, that executes AD_Sequence_DocType database function. This function makes a select ... for update call at the beginning, blocking the ad_sequence table so that no one can access it until the commit of the transaction has been done.
Steps To Reproduce- Hard to reproduce it in pi.
- Could reproduce it in customer's environment with a custom development.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0029246 closedTriage Finance Modules can get duplicated document numbers in picking list 
related to defect 0029258 closedSandrahuguet Openbravo ERP FIN_Utility.getDocumentNo method can return duplicates 

-  Notes
(0062042)
hgbot (developer)
2013-11-06 11:53

Repository: erp/devel/pi
Changeset: e884b5f2318b77d3cbd8765541d5a5b4b5ebbef2
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Wed Nov 06 11:52:46 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/e884b5f2318b77d3cbd8765541d5a5b4b5ebbef2 [^]

Fixes bug 25075

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/FIN_Utility.java
---
(0062043)
ioritzCia (developer)
2013-11-06 11:56

Verified.
(0062240)
hudsonbot (developer)
2013-11-19 19:07

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ab71e0273dc1 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-11-04 18:46 ioritzCia New Issue
2013-11-04 18:46 ioritzCia Assigned To => dmiguelez
2013-11-04 18:46 ioritzCia Web browser => Google Chrome
2013-11-04 18:46 ioritzCia Modules => Advanced Payables and Receivables Mngmt
2013-11-04 18:46 ioritzCia Triggers an Emergency Pack => No
2013-11-06 11:52 eduardo_Argal Assigned To dmiguelez => eduardo_Argal
2013-11-06 11:52 eduardo_Argal Status new => scheduled
2013-11-06 11:52 eduardo_Argal fix_in_branch => pi
2013-11-06 11:53 hgbot Checkin
2013-11-06 11:53 hgbot Note Added: 0062042
2013-11-06 11:53 hgbot Status scheduled => resolved
2013-11-06 11:53 hgbot Resolution open => fixed
2013-11-06 11:53 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e884b5f2318b77d3cbd8765541d5a5b4b5ebbef2 [^]
2013-11-06 11:56 ioritzCia Review Assigned To => ioritzCia
2013-11-06 11:56 ioritzCia Note Added: 0062043
2013-11-06 11:56 ioritzCia Status resolved => closed
2013-11-19 19:07 hudsonbot Checkin
2013-11-19 19:07 hudsonbot Note Added: 0062240
2015-03-11 18:03 alostale Relationship added related to 0029246
2015-03-12 13:58 alostale Relationship added related to 0029258


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker